using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmCompanyType {
        public CmCompanyType() {
            CmCompany = new HashSet<CmCompany>();
        }

        [Display(Name = "회사 유형번호"), Key]
        public int CompanyTypeId { get; set; }
        [Display(Name = "회사 유형이름"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("CmCompanyType")]
        public virtual ICollection<CmCompany> CmCompany { get; set; }
    }
}
